# Get org embosser info Get detailed information about an organization's embossing configurations. The organization/tenant ID is derived from the access token. For more information about embossing, refer to the [Physical card embossing](doc:physical-card-embossing) guide. For detailed information about embossing flows, refer to [Embossing flows](doc:physical-card-embossing#embossing-flows). **Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Cards", "version": "1.4.6", "description": "Card endpoints API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing." }, { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Embossing data", "description": "Embossing data endpoints" } ], "components": { "schemas": { "ConfigID": { "type": "string", "format": "uuid", "description": "Embosser configuration/group ID. \n\nYou can call [Get nominal card embossing info](https://developers.pismo.io/pismo-docs/reference/get-embossing-info) to get a card's embossing group.\n\nYou can also call [Get org embosser info](https://developers.pismo.io/pismo-docs/reference/get-embossing-configurations-info) to get an embossing group's configuration ID. \n", "example": "acde070d-8c4c-4f0d-9d8a-162843c10333" }, "EmbosserObject": { "type": "object", "description": "Embosser object", "properties": { "config_id": { "$ref": "#/components/schemas/ConfigID" }, "config_name": { "type": "string", "description": "Configuration name", "example": "Config-1" }, "embosser_name": { "type": "string", "description": "Embosser name", "example": "Embosser-1" }, "programs": { "description": "Program IDs", "type": "array", "items": { "type": "integer" } }, "type": { "description": "Type - `nominal` or `noname`", "type": "string", "enum": [ "noname", "nominal" ], "example": "nominal" }, "enable": { "description": "Is this configuration enabled?", "type": "boolean", "example": true } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } } }, "paths": { "/embossing/v1/configurations/info": { "get": { "operationId": "get-embossing-configurations-info", "summary": "Get org embosser info", "description": "Get detailed information about an organization's embossing configurations.\n\nThe organization/tenant ID is derived from the access token.\n\nFor more information about embossing, refer to the [Physical card embossing](https://developers.pismo.io/pismo-docs/docs/physical-card-embossing) guide.\n\nFor detailed information about embossing flows, refer to [Embossing flows](https://developers.pismo.io/pismo-docs/docs/physical-card-embossing#embossing-flows).\n\n**Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment.\n", "tags": [ "Embossing data" ], "responses": { "200": { "description": "Embosser objects.", "content": { "application/json": { "schema": { "properties": { "configurations": { "type": "array", "items": { "$ref": "#/components/schemas/EmbosserObject" } } } }, "example": { "configurations": [ { "config_id": "6dacfdde-64bd-4a17-bbdf-3be627b271e6", "config_name": "name-1", "embosser_name": "Embosser-1", "programs": [ 1226, 1225 ], "type": "nominal", "enable": true }, { "config_id": "6dacfdde-64bd-4a17-bbdf-3be627b271e6", "config_name": "name-2", "embosser_name": "Embosser-2", "programs": [ 1226, 1225 ], "type": "nominal", "enable": true } ] } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "description": "", "type": "object", "properties": { "error_code": { "type": "string" }, "message": { "type": "string" }, "status": { "type": "integer" }, "error": { "type": "string" } } }, "examples": { "example-not-found": { "value": { "message": "not found configurations to org", "error": "not_found", "status": 404 } } } } } } } } } } } ```